>From bd2f58d09e70ed6f537f69e4aa85405c228958b4 Mon Sep 17 00:00:00 2001
From: Arnaud <arnaud.champion@devatom.fr>
Date: Wed, 20 Oct 2010 13:35:43 +0200
Subject: [PATCH] Rename functions by creating more classes for each type of function.
 Use DllMap in Mono to ensure correct binary library using ofr each os.

---
 .gitignore                                         |    2 +
 Libvirt.cs                                         | 2161 --------------------
 LibvirtError.cs                                    |  810 ++------
 LibvirtTypes.cs                                    |  546 +++++-
 MarshalHelper.cs                                   |   36 +
 NativeFunctions.cs                                 |   23 +
 StringWithoutNativeCleanUpMarshaler.cs             |   10 +-
 .../MonoDevelop/virConnectOpenAuth/MainWindow.cs   |   16 +-
 examples/VisualStudio/virConnectOpenAuth/Form1.cs  |   16 +-
 projects/MonoDevelop/LibvirtBindings.csproj        |   47 +-
 projects/MonoDevelop/LibvirtBindings.dll.config    |   11 +
 projects/VisualStudio/LibvirtBindings.csproj       |   43 +-
 virConnect.cs                                      |  411 ++++
 virDomain.cs                                       |  608 ++++++
 virEvent.cs                                        |   32 +
 virInterface.cs                                    |   39 +
 virLibrary.cs                                      |   44 +
 virNetwork.cs                                      |  179 ++
 virNode.cs                                         |  163 ++
 virSecret.cs                                       |   43 +
 virStoragePool.cs                                  |  436 ++++
 virStorageVol.cs                                   |  235 +++
 virStream.cs                                       |   43 +
 23 files changed, 3086 insertions(+), 2868 deletions(-)
 delete mode 100644 Libvirt.cs
 rewrite LibvirtError.cs (79%)
 create mode 100644 MarshalHelper.cs
 create mode 100644 NativeFunctions.cs
 create mode 100644 projects/MonoDevelop/LibvirtBindings.dll.config
 create mode 100644 virConnect.cs
 create mode 100644 virDomain.cs
 create mode 100644 virEvent.cs
 create mode 100644 virInterface.cs
 create mode 100644 virLibrary.cs
 create mode 100644 virNetwork.cs
 create mode 100644 virNode.cs
 create mode 100644 virSecret.cs
 create mode 100644 virStoragePool.cs
 create mode 100644 virStorageVol.cs
 create mode 100644 virStream.cs

diff --git a/.gitignore b/.gitignore
index 96a9b41..e94b014 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,6 @@
 
+*.userprefs
+*.user
 _ReSharper*
 *.obj
 *.pdb
